{"openapi":"3.0.4","info":{"title":"Get structured result data","description":"Retrieve one or more structured result data items from a particular scope.\r\n            \r\nEach item can be identified by its time invariant structured result data identifier. For each ID, LUSID\r\nreturns the most recently matched item with respect to the provided (or default) effective datetime. \r\n            \r\nAn optional maximum age range window can be specified to control how far back to look from the specified\r\neffective datetime. LUSID returns the most recent item within this window.\r\n            \r\nIn the request, each data item must be keyed by a unique correlation ID. This ID is ephemeral and not stored by LUSID.\r\nIt serves only to easily identify each data item in the response.\r\n\r\nThe response returns three collections. The first contains successfully retrieved data items. The second contains those with a\r\nvalid identifier but that could not be found. The third contains those that failed because LUSID could not construct a valid identifier from the request.\r\n\r\nFor the IDs that failed to resolve or could not be found, a reason is provided.\r\n            \r\nIt is important to check the failed sets for any unsuccessful results.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/unitresults/{scope}/$get":{"post":{"tags":["Structured Result Data"],"summary":"Get structured result data","description":"Retrieve one or more structured result data items from a particular scope.\r\n            \r\nEach item can be identified by its time invariant structured result data identifier. For each ID, LUSID\r\nreturns the most recently matched item with respect to the provided (or default) effective datetime. \r\n            \r\nAn optional maximum age range window can be specified to control how far back to look from the specified\r\neffective datetime. LUSID returns the most recent item within this window.\r\n            \r\nIn the request, each data item must be keyed by a unique correlation ID. This ID is ephemeral and not stored by LUSID.\r\nIt serves only to easily identify each data item in the response.\r\n\r\nThe response returns three collections. The first contains successfully retrieved data items. The second contains those with a\r\nvalid identifier but that could not be found. The third contains those that failed because LUSID could not construct a valid identifier from the request.\r\n\r\nFor the IDs that failed to resolve or could not be found, a reason is provided.\r\n            \r\nIt is important to check the failed sets for any unsuccessful results.","operationId":"GetStructuredResultData","parameters":[{"name":"scope","in":"path","description":"The scope from which to retrieve data items.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"asAt","in":"query","description":"The asAt datetime at which to retrieve the structured result data. Defaults to returning the latest version if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"maxAge","in":"query","description":"The duration of the look-back window in ISO8601 time interval format, for example 'P1Y2M3DT4H30M' (1 year, 2 months, 3 days, 4 hours and 30 minutes).\r\n             This is subtracted from the provided effectiveAt datetime to generate a effective datetime window inside which a data item must exist to be retrieved.","schema":{"type":"string","format":"date-span"}}],"requestBody":{"description":"The time invariant set of structured data identifiers to retrieve, keyed by a unique, ephemeral correlation ID.","content":{"application/json-patch+json":{"schema":{"type":"object","additionalProperties":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/StructuredResultDataId"}},"example":{"SomeCorrelationId1":{"source":"MiddleOffice","code":"MyUploadedRiskResults","effectiveAt":"2018-03-05T00:00:00.0000000+00:00","resultType":"Risk"}}},"application/json":{"schema":{"type":"object","additionalProperties":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/StructuredResultDataId"}},"example":{"SomeCorrelationId1":{"source":"MiddleOffice","code":"MyUploadedRiskResults","effectiveAt":"2018-03-05T00:00:00.0000000+00:00","resultType":"Risk"}}},"text/json":{"schema":{"type":"object","additionalProperties":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/StructuredResultDataId"}},"example":{"SomeCorrelationId1":{"source":"MiddleOffice","code":"MyUploadedRiskResults","effectiveAt":"2018-03-05T00:00:00.0000000+00:00","resultType":"Risk"}}},"application/*+json":{"schema":{"type":"object","additionalProperties":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/StructuredResultDataId"}},"example":{"SomeCorrelationId1":{"source":"MiddleOffice","code":"MyUploadedRiskResults","effectiveAt":"2018-03-05T00:00:00.0000000+00:00","resultType":"Risk"}}}},"required":true},"responses":{"200":{"description":"The successfully retrieved data items along with any failures.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/GetStructuredResultDataResponse"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/GetStructuredResultDataResponse"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/GetStructuredResultDataResponse"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}